## org.apache.fop.messaging
Class DefaultMessageListener

    java.lang.Object
      |
      +--org.apache.fop.messaging.DefaultMessageListener

public class DefaultMessageListener
extends java.lang.Object
implements MessageListener

A trivial implementation of a MessageListener For further explanation

See Also:
  `MessageListener`

Constructor Summary
`DefaultMessageListener()`

Method Summary
`void` `processMessage(MessageEvent event)` The method processMessage has to be overwritten to handle the MessageEvents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMessageListener

    public DefaultMessageListener()

Method Detail

### processMessage

    public void processMessage(MessageEvent event)

  The method processMessage has to be overwritten to handle the MessageEvents. The message type (information or error) is accessible via event.getMessageType().
  Specified by:
    processMessage in interface MessageListener

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.